Token signing keys (JWKS)
GET
/.well-known/jwks.json
const url = 'https://api.nsin.ir/.well-known/jwks.json';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.nsin.ir/.well-known/jwks.jsonThe RSA public keys that verify our access and ID tokens, as a JWK Set.
Verify offline against these — never by calling back to NSIN on every
request. Cache by kid and refetch once when you meet a kid you do
not know. Cacheable for an hour.
Responses
Section titled “ Responses ”JWK Set.
Media type application/json
object
keys
Array<object>
object
kty
string
use
string
alg
string
kid
string
n
Modulus
string
e
Exponent
string
Example
{ "keys": [ { "kty": "RSA", "use": "sig", "alg": "RS256" } ]}